************************************************************* ``PUT`` Add Proctoring in an AI Interview ************************************************************* This API updates proctoring settings for a specific AI interview. Request URL ============ .. code-block:: PUT /ai-interviews/settings/proctoring/ Body Parameters ================ .. code-block:: json { "proctoring": { "ai": false, "eyegaze": false, "offTab": false, "offTabAllowed": 4, "screenRecord": false, "webcam": false } } .. warning:: Make sure to add your API key in the Header of the request using the key ``apiKey``. Parameters =========== +-------------------+------------+--------------------------------------------------------------+ | Parameter | Type | Description | +===================+============+==============================================================+ | ai_interview_id | int | AI interview ID whose proctoring settings should be updated. | +-------------------+------------+--------------------------------------------------------------+ Response ========= .. code-block:: json { "status": "success", "message": "Proctoring updated successfully" }